Subject: Source wanted for grains of paradise

From: [email-masked] (Michelle Dick)
Date: 31 Jul 1995 02:06:25 -0700

The _Complete book of Spices_ by Jill Norman lists a West African
spice by the name of "grains of paradise".  Other names are: Guinea
pepper, Guinea grains, Meleguueta pepper.  The botanical name is
Aframomum melegueta.

She says it is difficult to obtain in the West but can sometimes be
bought from suppliers of herbal medicines.

Does anyone know a source for this seed?  I am looking for whole
grains.

--
Michelle Dick              [email-masked]             East Palo Alto, CA
                 Owner, FATFREE Vegetarian Mailing List 
ftp://ftp.fatfree.com  [email-masked]  http://www.fatfree.com